stages:
  - build
  - deploy

variables:
  GIT_SUBMODULE_STRATEGY: recursive
  IMAGE_TAG: $CI_REGISTRY_IMAGE:latest

build:
  image: docker:latest
  stage: build
  services:
    - docker:dind
  script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker build --build-arg BRANCH=$CI_COMMIT_BRANCH -t $IMAGE_TAG .
    - docker push $IMAGE_TAG

deploy:
  image:
    name: alpine/helm:latest
    entrypoint: ['']
  stage: deploy
  before_script:
    - chmod +x ./scripts/authenticate.sh && export AUTH=$(./scripts/authenticate.sh)
  script:
    # - helm template --set hosts.development=$DEVELOPMENT_HOST,hosts.production=$PRODUCTION_HOST --set "subdomains=$SUBDOMAINS" 8ocorg/8ocorg --debug
    - helm upgrade --install latest ./chart --kube-context=8o-collective/mechamancers/mechamancers:mechamancers --create-namespace --namespace mechamancers --set auth="$AUTH" 